/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons//resources/src/java/org/apache/commons/resources/ResourcesKeyException.java,v 1.6 2004/03/27 21:34:10 dgraham Exp $
 * $Revision: 155432 $
 * $Date: 2005-02-26 08:15:50 -0500 (Sat, 26 Feb 2005) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2004 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources;

/**
 * <p>Specialized subclass of {@link ResourcesException} that is thrown
 * by a resource getter method of a {@link Resources} instance, if an
 * invalid key value is specified and the <code>returnNull</code> property
 * is <code>false</code>.</p>
 */
public class ResourcesKeyException extends ResourcesException {

    /**
     * <p>Construct an exception instance documenting that the specified
     * key value was invalid.</p>
     *
     * @param key The invalid key value
     */
    public ResourcesKeyException(String key) {
        super(key);
    }


}
