/*
 * $Id$ 
 *
 * Copyright 2000-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.commons.resources.impl;

import javax.servlet.ServletContext;

public abstract class WebappResourcesFactoryBase extends ResourcesFactoryBase {

    /**
     * <p>The <code>ServletContext</code> instance for resolving
     * our resources references.</p>
     */
    protected ServletContext servletContext = null;

    /**
     * <p>Return the <code>ServletContext</code> instance for
     * resolving our resources references.</p>
     */
    public ServletContext getServletContext() {
    
        return (this.servletContext);
    
    }

    /**
     * <p>Set the <code>ServletContext</code> instance for
     * resolving our resources references.</p>
     */
    public void setServletContext(ServletContext servletContext) {
    
        this.servletContext = servletContext;
    
    }

}
